[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Licence problems with psybnc

Hi Psychoid,

I am looking into packaging psybnc for debian (of course with proper
credit). Unfortunately, there are some problems: You include two files
(snprintf.c, bsd-setenv.c) with GPL-incompatible licenses. I asked for
advice[1] on debian legal, here is a summary for you.

Is under the 4-clause BSD licence. But since the copyright holder is the
"Regents of the University of California", the advertising clause is
superseded by
ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change , so you
could just include a note in your tarball to that effect. 

Is under the Apache License, version 1.0, which is incompatible with the
GPL, too. I quote: "However, depending on how much SIO differs from
stdio, it might be possible to replace this with code from glibc or from
some other stdio implementation." Maybe that is a viable solution for
you. Unfortunately, just taking the same file from a newer apache
distribution does not help, as the Apache Licence v2 isn't
GPL-compatible either.

I would love to see psybnc in debian. I use it daily and have so for 2
years soon - it is the best multi-network bouncer I found. I hope that
these issues can be resolved quickly.

Thank you,


[1] http://lists.debian.org/debian-legal/2004/06/msg00293.html
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: joachimbreitner@amessage.de | http://people.debian.org/~nomeata

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil

Reply to: